#!/bin/tcsh -f
#
# Author: Mahmut Arikan
#
# Version 1.0
#
# 2010 - TUDelft MPG Radar Group
#
#
# Converts ODR.NNNN 4 digit extension to ODR.HHH 3 digit hexnumeral values 
#
set counter=$1
while ($counter <= $2)
@ arcnr = $counter + 10000
    set arcnr = `echo $arcnr | cut -c2-`
    set odr=ODR.$arcnr  # ODR.0001
    @ hexval = $arcnr / 100
    @ intval = $arcnr % 100
    echo ok
    set ext = `printf "%1.1x%2.2i \n" $hexval $intval | tr "[:lower:]" "[:upper:]"`
    echo mv ODR.$arcnr ODR.$ext
    mv ODR.$arcnr ODR.$ext
@ counter ++
end
